GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Friends
grpc::CompletionQueue Class Reference

`#include <completion_queue.h>`

## Public Types
enum | NextStatus { SHUTDOWN, GOT_EVENT, TIMEOUT }

## Public Member Functions
| CompletionQueue ()
| CompletionQueue (grpc_completion_queue *take)
| ~CompletionQueue () GRPC_OVERRIDE
template<typename T >
NextStatus | AsyncNext (void **tag, bool *ok, const T &deadline)
bool | Next (void **tag, bool *ok)
void | Shutdown ()
grpc_completion_queue * | cq ()
Public Member Functions inherited from grpc::GrpcLibrary
| GrpcLibrary ()
virtual | ~GrpcLibrary ()

## Friends
template<class R >
class | ::grpc::ClientReader
template<class W >
class | ::grpc::ClientWriter
template<class R , class W >
class | ::grpc::ClientReaderWriter
template<class R >
class | ::grpc::ServerReader
template<class W >
class | ::grpc::ServerWriter
template<class R , class W >
class | ::grpc::ServerReaderWriter
template<class ServiceType , class RequestType , class ResponseType >
class | RpcMethodHandler
template<class ServiceType , class RequestType , class ResponseType >
class | ClientStreamingHandler
template<class ServiceType , class RequestType , class ResponseType >
class | ServerStreamingHandler
template<class ServiceType , class RequestType , class ResponseType >
class | BidiStreamingHandler
class | ::grpc::Server
class | ::grpc::ServerContext
template<class InputMessage , class OutputMessage >
Status | BlockingUnaryCall (ChannelInterface *channel, const RpcMethod &method, ClientContext *context, const InputMessage &request, OutputMessage *result)

## Member Enumeration Documentation

enum grpc::CompletionQueue::NextStatus

Enumerator
SHUTDOWN |
GOT_EVENT |
TIMEOUT |

## Constructor & Destructor Documentation

grpc::CompletionQueue::CompletionQueue | ( |  | ) |

grpc::CompletionQueue::CompletionQueue | ( | grpc_completion_queue * | take | ) |
| explicit

grpc::CompletionQueue::~CompletionQueue | ( |  | ) |

## Member Function Documentation

template<typename T >

NextStatus grpc::CompletionQueue::AsyncNext | ( | void ** | tag,
|  | bool * | ok,
|  | const T & | deadline
| ) |  |
| inline

grpc_completion_queue* grpc::CompletionQueue::cq | ( |  | ) |
| inline

bool grpc::CompletionQueue::Next | ( | void ** | tag,
|  | bool * | ok
| ) |  |
| inline

void grpc::CompletionQueue::Shutdown | ( |  | ) |

## Friends And Related Function Documentation

template<class R >

friend class ::grpc::ClientReader
| friend

template<class R , class W >

friend class ::grpc::ClientReaderWriter
| friend

template<class W >

friend class ::grpc::ClientWriter
| friend

friend class ::grpc::Server
| friend

friend class ::grpc::ServerContext
| friend

template<class R >

friend class ::grpc::ServerReader
| friend

template<class R , class W >

friend class ::grpc::ServerReaderWriter
| friend

template<class W >

friend class ::grpc::ServerWriter
| friend

template<class ServiceType , class RequestType , class ResponseType >

friend class BidiStreamingHandler
| friend

template<class InputMessage , class OutputMessage >

Status BlockingUnaryCall | ( | ChannelInterface * | channel,
|  | const RpcMethod & | method,
|  | ClientContext * | context,
|  | const InputMessage & | request,
|  | OutputMessage * | result
| ) |  |
| friend

template<class ServiceType , class RequestType , class ResponseType >

friend class ClientStreamingHandler
| friend

template<class ServiceType , class RequestType , class ResponseType >

friend class RpcMethodHandler
| friend

template<class ServiceType , class RequestType , class ResponseType >

friend class ServerStreamingHandler
| friend

The documentation for this class was generated from the following file:

- include/grpc++/completion_queue.h